UbuntuUpdates.org

Package "openssl"

Name: openssl

Description:

Secure Sockets Layer toolkit - cryptographic utility

Latest version: 1.1.1b-1ubuntu2.4
Release: disco (19.04)
Level: proposed
Repository: main
Homepage: https://www.openssl.org/

Links

Save this URL for the latest version of "openssl": https://www.ubuntuupdates.org/openssl


Download "openssl"


Other versions of "openssl" in Disco

Repository Area Version
base main 1.1.1b-1ubuntu2
updates main 1.1.1b-1ubuntu2.1

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 1.1.1b-1ubuntu2.4 2019-06-20 22:06:20 UTC

  openssl (1.1.1b-1ubuntu2.4) disco; urgency=medium

  * Import libraries/restart-without-asking as used in postinst, to
    prevent failure to configure the package without debconf database.
    LP: #1832919

 -- Dimitri John Ledkov <email address hidden> Thu, 20 Jun 2019 18:31:25 +0100

Source diff to previous version
1832919 installed libssl1.1:amd64 package post-installation script subprocess returned error exit status 10

Version: 1.1.1b-1ubuntu2.3 2019-06-14 18:06:53 UTC

  openssl (1.1.1b-1ubuntu2.3) disco; urgency=medium

  * Bump major version of OpenSSL in postinst to trigger services restart
    upon upgrade. Many services listed there must be restarted when
    upgrading 1.1.0 to 1.1.1. LP: #1832522
  * Fix path to Xorg for reboot notifications on desktop. LP: #1832421

 -- Dimitri John Ledkov <email address hidden> Fri, 14 Jun 2019 13:02:34 +0100

Source diff to previous version
1832522 openssl maintainer scripts do not trigger services restart
1832421 openssl reboot needed message using incorrect path to X server

Version: 1.1.1b-1ubuntu2.2 2019-06-12 21:06:17 UTC

  openssl (1.1.1b-1ubuntu2.2) disco; urgency=medium

  * Cherrypick upstream patch to fix ca -spkac output to be text again.
    LP: #1828215
  * Cherrypick upstream patch to prevent over long nonces in ChaCha20-Poly1305
    CVE-2019-1543

 -- Dimitri John Ledkov <email address hidden> Tue, 11 Jun 2019 23:35:36 +0100

1828215 openssl ca -spkac output regressed
CVE-2019-1543 ChaCha20-Poly1305 is an AEAD cipher, and requires a unique nonce input for every encryption operation. RFC 7539 specifies that the nonce value (IV) s

Version: *DELETED* 2019-06-11 23:06:29 UTC
No changelog for deleted or moved packages.

Version: 1.1.1b-1ubuntu2.1 2019-05-31 11:07:02 UTC

  openssl (1.1.1b-1ubuntu2.1) disco; urgency=medium

  * SRU the below two regressions fixes from Debian LP: #1825212
    - Fix BUF_MEM regression (Closes: #923516)
    - Fix error when config can't be opened (Closes: #926315)

 -- Dimitri John Ledkov <email address hidden> Wed, 17 Apr 2019 17:50:04 +0100

1825212 [SRU] openssl disco
923516 openssl: regression in memory problems with BUF_MEM - Debian Bug report logs
926315 openssl: wget https://google.com fails in d-i - Debian Bug report logs



About   -   Send Feedback to @ubuntu_updates